Bug 143803 - ip_conntrack_amanda module causes amanda hangs
ip_conntrack_amanda module causes amanda hangs
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-12-28 07:23 EST by Matthew Saltzman
Modified: 2015-01-04 17:14 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-01-12 15:22:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Matthew Saltzman 2004-12-28 07:23:22 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
I'm refiling Bug 142745, as I've seen more evidence that this is a
kernel issue rather than an Amanda issue.

amcheck works fine, but amdump hangs forever.  Disk archive files are
zero-length, and amanda-related processes have consumed zero time
after 15 hours.

I believe the problem started with a recent kernel upgrade in FC2, but
I have upgraded the server to FC3 and the problem persists.  The
amanda configuration has not changed.  There is plenty of space on my
holding disk filesystem.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Set up remote backup with amanda.  chkconfig amanada on.  Open
firewall ports for all amanda processes.  Include
"ip_conntrack_amanda" iptables module.
2. Run amcheck.
3. Run amdump.

Actual Results:  amcheck works perfectly.  amdump starts but hangs

Expected Results:  amcheck works perfectly.  amdump copies files
across the network to disk holding area (and eventually dumps to tape).

Additional info:

This message at the Amanda FAQ-O-Matic appears to address this issue:


I'm going to set the severity high, as I have no functioning backup
systems so loss of data is a serious risk.  If this is an abuse of the
severity rating, please feel free to set it back down.
Comment 1 Peter Bieringer 2005-01-02 04:54:12 EST
I can confirm this for at least 2 boxes, one with Fedora Core 2 (2.6.9-1.6_FC2) and one 
with Fedora Core 3 (2.6.9-1.681_FC3) kernel.

Problem is caused, if "ip_conntrack_amanda" is loaded on client side (the box which 
should be backup), regardless rules in iptables.

See also:
Comment 2 Peter Bieringer 2005-01-12 15:03:12 EST
I may report that using kernel 2.6.10-1.737_FC3 on FC3 and 
kernel-2.6.10-1.8_FC2 on FC2 this issue is fixed.

Note You need to log in before you can comment on or make changes to this bug.